This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 466637 - Trust 120 Spacec@m - webcam is not recognized
Trust 120 Spacec@m - webcam is not recognized
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
13
All Linux
low Severity low
: ---
: ---
Assigned To: Hans de Goede
Fedora Extras Quality Assurance
: Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-11 18:40 EDT by Gianluca Varisco
Modified: 2015-10-25 21:06 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-21 16:41:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gianluca Varisco 2008-10-11 18:40:29 EDT
Description of problem:

Trust 120 SPACEC@M is not recognized. 

Version-Release number of selected component (if applicable):

kernel-2.6.27-1.fc10.x86_64
libv4l-0.5.0-1.fc10.x86_64
cheese-2.24.0-2.fc10.x86_64

Let me know if you need further details.

How reproducible:

Just connect the webcam and check why it is not recognized. 
  
Actual results:

[/var/log/messages]

Oct 12 00:16:36 gvarisco kernel: usb 5-1: new full speed USB device using uhci_hcd and address 9
Oct 12 00:16:36 gvarisco kernel: usb 5-1: configuration #1 chosen from 1 choice
Oct 12 00:16:36 gvarisco kernel: usb 5-1: New USB device found, idVendor=06a5, idProduct=d800
Oct 12 00:16:36 gvarisco kernel: usb 5-1: New USB device strings: Mfr=0, Product=0, SerialNumber=0

[lsusb]

Bus 005 Device 009: ID 06a5:d800 Divio Chicony TwinkleCam

[lsusb -v]

Bus 005 Device 009: ID 06a5:d800 Divio Chicony TwinkleCam
Device Descriptor:
  bLength                18
  bDescriptorType         1
  bcdUSB               1.10
  bDeviceClass            0 (Defined at Interface level)
  bDeviceSubClass         0 
  bDeviceProtocol         0 
  bMaxPacketSize0        64
  idVendor           0x06a5 Divio
  idProduct          0xd800 Chicony TwinkleCam
  bcdDevice            1.10
  iManufacturer           0 
  iProduct                0 
  iSerial                 0 
  bNumConfigurations      1
  [...]
Comment 1 Hans de Goede 2008-10-12 03:21:21 EDT
This is an nw802 based webcam, out of tree driver here:
http://nw802.sourceforge.net/

I actually own an nw802 based cam and I'm planning on cleaning up that driver and merging it into the mainline eventually. So I'll assign this bug to me. Dont expect this to happen anytime soon though (-ENOTIME).
Comment 2 Bug Zapper 2008-11-25 22:47:37 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-11-18 07:39:00 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-12-18 01:33:27 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 5 Hans de Goede 2009-12-18 02:31:38 EST
I still plan to one day take a look at this, so I'm re-opening this.
Comment 6 Bug Zapper 2010-03-15 08:06:58 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Hans de Goede 2011-05-21 16:41:34 EDT
The 2.6.39 kernel (which can be found in rawhide) contains a new gspca_nw80x webcam driver which should work with your Trust Spacecam 120. Note you will also need a new libv4l, either the one from latest v4l-utils git, or release 0.8.4 (which I plan to release any day now and then immediately build for rawhide).

Note You need to log in before you can comment on or make changes to this bug.